<!--
  ~ Copyright (c) 2013 – 2016 Ricki Hirner (bitfire web engineering).
  ~ All rights reserved. This program and the accompanying materials
  ~ are made available under the terms of the GNU Public License v3.0
  ~ which accompanies this distribution, and is available at
  ~ http://www.gnu.org/licenses/gpl.html
  -->

<resources xmlns:tools="http://schemas.android.com/tools">

    <!-- colors -->

    <color name="grey200">#eeeeee</color>
    <color name="grey500">#9E9E9E</color>
    <color name="grey700">#616161</color>

    <color name="primaryColor">#7cb342</color>
    <color name="primaryLightColor">#aee571</color>
    <color name="primaryDarkColor">#4b830d</color>
    <color name="secondaryColor">#ff6d00</color>
    <color name="secondaryLightColor">#ff9e40</color>
    <color name="secondaryDarkColor">#c43c00</color>
    <color name="primaryTextColor">#000000</color>
    <color name="secondaryTextColor">@color/grey500</color>


    <!-- app theme -->

    <style name="AppBaseTheme" parent="Theme.AppCompat.Light" />

    <style name="AppTheme" parent="AppBaseTheme">
        <item name="colorPrimary">@color/primaryColor</item>
        <item name="colorPrimaryDark">@color/primaryDarkColor</item>
        <item name="colorAccent">@color/secondaryColor</item>

        <item name="android:textColorPrimary">@drawable/text_color</item>
        <item name="android:textColorSecondary">@color/secondaryTextColor</item>

        <item name="alertDialogTheme">@style/AppTheme.Dialog.Alert</item>
        <item name="preferenceTheme">@style/PreferenceThemeOverlay.v14.Material</item>
    </style>

    <color name="actionBarButton">#8a000000</color>

    <style name="AppTheme.Dialog.Alert" parent="Theme.AppCompat.Light.Dialog.Alert">
        <item name="colorAccent">@color/secondaryColor</item>
    </style>

    <style name="AppTheme.NoActionBar">
        <item name="windowActionBar">false</item>
        <item name="windowNoTitle">true</item>
    </style>

    <style name="AppThemeExt" parent="AppTheme" />

    <!-- preference-v14 uses this color for categories text on API <21 -->
    <color name="preference_fallback_accent_color"
        tools:override="true">@color/secondaryColor</color>


    <!-- AddAccountActivity -->

    <style name="login_type_headline">
        <item name="android:textSize">22sp</item>
    </style>
    <style name="account_list_card">
        <item name="android:layout_width">match_parent</item>
    </style>


    <!-- stepper (wizard) -->

    <style name="stepper_nav_bar">
        <item name="android:background">@color/grey200</item>
    </style>

    <style name="stepper_nav_button">
        <item name="android:layout_margin">8dp</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:background">?android:attr/selectableItemBackground</item>
        <item name="android:paddingTop">8dp</item>
        <item name="android:paddingLeft">4dp</item>
        <item name="android:paddingRight">4dp</item>
        <item name="android:paddingBottom">8dp</item>
        <item name="android:textAllCaps">true</item>
        <item name="android:textAppearance">?android:attr/textAppearanceMedium</item>
        <item name="android:textColor">@color/buttontext</item>
    </style>


    <!-- widgets -->

    <color name="cardview_background">@color/secondaryLightColor</color>

    <style name="tablayout" parent="Widget.Design.TabLayout">
        <item name="android:background">@color/primaryDarkColor</item>
    </style>

    <style name="toolbar_theme">
        <item name="android:textColorSecondary">@android:color/white</item>
    </style>
    <style name="toolbar_style" parent="Widget.AppCompat.Toolbar">
        <item name="android:background">@color/primaryDarkColor</item>
        <item name="titleTextColor">@android:color/white</item>
    </style>


    <!-- text content -->

    <style name="TextView.Heading" parent="AppTheme">
        <item name="android:textSize">22sp</item>
        <item name="android:textColor">@color/secondaryColor</item>
    </style>

</resources>
